Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/geocoding?api_key=YOUR_API_KEY&latitude=51.0447&longitude=-114.0719&property_type_eq=House&radius=2&select=latitude,longitude,bedroom,den,bathroom_full,bathroom_half&shape=circle"
const houski_geocoding = async (): Promise<GeocodingResponse> => {
// You must copy the GeocodingResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/geocoding');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('latitude', '51.0447');
url.searchParams.set('longitude', '-114.0719');
url.searchParams.set('property_type_eq', 'House');
url.searchParams.set('radius', '2');
url.searchParams.set('select', 'latitude,longitude,bedroom,den,bathroom_full,bathroom_half');
url.searchParams.set('shape', 'circle');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: GeocodingResponse = await houski_geocoding();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 2.6399999,
"data": [
{
"address": "1111 4 Street SW",
"bathroom_full": 2,
"bathroom_half": 0,
"bedroom": 2,
"den": 0,
"latitude": 51.042336,
"longitude": -114.07212,
"property_id": "cff7f22a1664c2a2"
},
{
"address": "1215 5 Street SW",
"bathroom_full": 2,
"bathroom_half": 0,
"bedroom": 2,
"den": 0,
"latitude": 51.04107,
"longitude": -114.07458,
"property_id": "34a830a9b9745c08"
},
{
"address": "1200 6 Street SW",
"bathroom_full": 1,
"bathroom_half": 0,
"bedroom": 2,
"den": 0,
"latitude": 51.041355,
"longitude": -114.0758,
"property_id": "5db0d244b6dc5405"
},
{
"address": "140 10 Avenue SW",
"bathroom_full": 1,
"bathroom_half": 0,
"bedroom": 1,
"den": 0,
"latitude": 51.04363,
"longitude": -114.06506,
"property_id": "c9652d41ac84be4b"
},
{
"address": "303 13 Avenue SW",
"bathroom_full": 1,
"bathroom_half": 0,
"bedroom": 2,
"den": 0,
"latitude": 51.040516,
"longitude": -114.06878,
"property_id": "d4a17ec1b6d2e982"
},
{
"address": "505 6 Street SW",
"bathroom_full": 1,
"bathroom_half": 0,
"bedroom": 2,
"den": 0,
"latitude": 51.04851,
"longitude": -114.07654,
"property_id": "52403ca0c8b14728"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 303
},
"price_quote": false,
"result_total": 1814,
"time_ms": 759
}